Page MenuHomePhabricator

[Epic] Make the forms come from one template
Open, NormalPublic

Description

Right now the forms are a mess, this should help.

This is production-ready when (not necessarily this task, could be a parent task), the template handles:

  • Screen-reader support.
  • I18n of text.
  • L10n of amounts, dates, and other numbers, by language and country.
  • Form variations by country, e.g. Fiscal Number (CPF) in Brazil.
  • A/B testing of form variations. This might have to go deeper than CSS, and allow us to swap out partials, etc.
  • All gateways.
  • All payment methods.
  • Displays server-side validation errors.
  • Performs client-side validation.

Event Timeline

atgo created this task.Jan 8 2015, 10:18 PM
atgo raised the priority of this task from to Normal.
atgo updated the task description. (Show Details)
atgo moved this task from Backlog to DI Refactor on the Fundraising-Backlog-Old board.
atgo added a subscriber: atgo.
awight added a subscriber: awight.Feb 5 2015, 7:23 AM

I might be wrong, but I've marked this as blocked by the jumbled controller and display logic, because currently it seems painful to slip the generalized template rendering code between pieces of the GatewayForm subclasses.

atgo set Security to None.

Let's keep Wikimedia-Fundraising to user-facing features

We want to roll this out incrementally if possible, one gateway-payment method at a time.

awight updated the task description. (Show Details)Apr 14 2015, 7:25 AM
awight updated the task description. (Show Details)

@pizzzacat: I noticed yesterday that this task is not quite the right one to describe this first step of the UI project, the first step is more like "Write Astropay forms using the Mustache template renderer". The goal of "make forms use one template" is sort of an epic tracking task which will be blocked by each form we integrate into Mustache-land.

@awight : Totally agree. I can make a separate card for the first Astropay proof of concept.

Yay! Concrete, bite sized tasks! :)

pizzzacat removed pizzzacat as the assignee of this task.Aug 4 2015, 10:32 PM
pizzzacat removed a subscriber: pizzzacat.

Change 262840 had a related patch set uploaded (by Ejegg):
Fix maintenance form display

https://gerrit.wikimedia.org/r/262840

Change 262840 merged by jenkins-bot:
Fix maintenance form display

https://gerrit.wikimedia.org/r/262840

Change 284508 had a related patch set uploaded (by Ejegg):
WIP Initial reorganization of js for new forms

https://gerrit.wikimedia.org/r/284508

Change 284508 merged by jenkins-bot:
Initial reorganization of js for new forms

https://gerrit.wikimedia.org/r/284508

Change 292519 had a related patch set uploaded (by Ejegg):
WIP Mustache for legacy WorldPay

https://gerrit.wikimedia.org/r/292519

Change 292593 had a related patch set uploaded (by Ejegg):
Remove FormDir and filename for Mustache forms

https://gerrit.wikimedia.org/r/292593

Change 292593 merged by jenkins-bot:
Remove FormDir and filename for Mustache forms

https://gerrit.wikimedia.org/r/292593

Ejegg added a subscriber: Ejegg.Jun 7 2016, 9:04 PM

So close I can taste it!

awight renamed this task from Make the forms come from one template to [Epic] Make the forms come from one template.Jun 7 2016, 9:07 PM
awight removed the point value for this task.

Change 287041 had a related patch set uploaded (by Ejegg):
Localize card label alt/title attributes

https://gerrit.wikimedia.org/r/287041

Change 298632 had a related patch set uploaded (by Ejegg):
Clean up has_x flags in Mustache forms

https://gerrit.wikimedia.org/r/298632

Change 287041 merged by jenkins-bot:
Localize card label alt/title attributes

https://gerrit.wikimedia.org/r/287041

Change 298632 merged by jenkins-bot:
Clean up has_x flags in Mustache forms

https://gerrit.wikimedia.org/r/298632

Change 299769 had a related patch set uploaded (by Ejegg):
Remove RapidHTML

https://gerrit.wikimedia.org/r/299769

Change 292519 abandoned by Ejegg:
WIP Mustache for legacy WorldPay

Reason:
killing WorldPay instead

https://gerrit.wikimedia.org/r/292519

Change 299769 merged by jenkins-bot:
Remove RapidHTML

https://gerrit.wikimedia.org/r/299769

Change 299876 had a related patch set uploaded (by Awight):
Remove RapidHTML

https://gerrit.wikimedia.org/r/299876

Change 299876 merged by jenkins-bot:
Remove RapidHTML

https://gerrit.wikimedia.org/r/299876

mmodell removed a subscriber: awight.Jun 22 2017, 9:39 PM